Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

Running Two OS Ticket with different version on one server

Hi All,

Has anyone tried this before?

Any pros and cons?

Thanks
Rio

Comments

  • Since each site has its own database and directory structure, I cant think of any reason why you couldn't. I believe @ntozier has stated in the past that he is running multiple versions of osTicket on the same server.


  • I have four installations running on my web server. They span three different versions.  Only two of them collect email, and are production sites.  The other two are test sites.  They exist for different purposes.  One is internal facing for internal support across multiple physical locations, and the other is public facing and serves the whole state.
  • RioRio
    edited February 2
    Hey Guys,

    Is the 3 items below necessary to have it installed? how can i enable the features?

    or Can i just proceed ?

    Recommended:

    You can use osTicket without these, but you may not be able to use all features.
    • Gdlib Extension
    • PHP IMAP Extension — Required for mail fetching
    • PHP XML Extension (for XML API)
    • PHP XML-DOM Extension (for HTML email processing)
    • PHP JSON Extension (faster performance)
    • Mbstring Extension — recommended for all installations
    • Phar Extension — recommended for plugins and language packs
    • Intl Extension — recommended for improved localization
    • APCu Extension — (faster performance)
    • Zend OPcache Extension — (faster performance)
  • They are not necessary unless you need them. As it states "You can use osTicket without these, but you may not be able to use all features."

    Extensions are typically enabled through your php.ini as long as you have the corresponding dll files.

    If you open php.ini in a text editor like notepad++ it should have some fairly easy to follow documentation.

  • I just am dealing with this myself, I do know that the Intl Extension should be packaged with the PHP install, but I have not gotten mine to work.

    @Rio what is your version of PHP ?
Sign In or Register to comment.